# xarray.tutorial.open_dataset

`xarray.tutorial.``open_dataset`(name, cache=True, cache_dir='~/.xarray_tutorial_data', github_url='https://github.com/pydata/xarray-data', branch='master', **kws)

  Open a dataset from the online repository (requires internet).

  If a local copy is found then always use that to avoid network traffic.

  Parameters:

  - name (str) – Name of the file containing the dataset. If no suffix is given, assumed to be netCDF (‘.nc’ is appended) e.g. ‘air_temperature’
  - cache_dir (string, optional) – The directory in which to search for and write cached data.
  - cache (boolean, optional) – If True, then cache data locally for use on subsequent calls
  - github_url (string) – Github repository where the data is stored
  - branch (string) – The git branch to download from
  - kws (dict, optional) – Passed to xarray.open_dataset

  See also

  `xarray.open_dataset()`